<?php
/**
* Header Options.
*
* @package OTT Vlogger
*/

$ott_vlogger_default = ott_vlogger_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'ott_vlogger_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'ott-vlogger' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'ott_vlogger_theme_option_panel',
	)
);

$wp_customize->add_setting('ott_vlogger_sticky',
    array(
        'default' => $ott_vlogger_default['ott_vlogger_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ott_vlogger_sanitize_checkbox',
    )
);
$wp_customize->add_control('ott_vlogger_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'ott-vlogger'),
        'section' => 'ott_vlogger_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ott_vlogger_menu_font_size',
    array(
        'default'           => $ott_vlogger_default['ott_vlogger_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ott_vlogger_sanitize_number_range',
    )
);
$wp_customize->add_control('ott_vlogger_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'ott-vlogger'),
        'section'     => 'ott_vlogger_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'ott_vlogger_menu_text_transform',
    array(
    'default'           => $ott_vlogger_default['ott_vlogger_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'ott_vlogger_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'ott_vlogger_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'ott-vlogger' ),
    'section'     => 'ott_vlogger_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'ott-vlogger' ),
        'uppercase'  => esc_html__( 'Uppercase', 'ott-vlogger' ),
        'lowercase'    => esc_html__( 'Lowercase', 'ott-vlogger' ),
        ),
    )
);

$wp_customize->add_setting('ott_vlogger_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ott_vlogger_header_menus_color', array(
    'label'    => __('Main Menu Color', 'ott-vlogger'),
    'section'  => 'ott_vlogger_button_header_setting',
)));

$wp_customize->add_setting('ott_vlogger_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ott_vlogger_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'ott-vlogger'),
    'section'  => 'ott_vlogger_button_header_setting',
)));

$wp_customize->add_setting('ott_vlogger_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ott_vlogger_header_submenus_color', array(
    'label'    => __('Submenu Color', 'ott-vlogger'),
    'section'  => 'ott_vlogger_button_header_setting',
)));

$wp_customize->add_setting('ott_vlogger_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ott_vlogger_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'ott-vlogger'),
    'section'  => 'ott_vlogger_button_header_setting',
)));

$wp_customize->add_setting('ott_vlogger_display_header_toggle',
    array(
        'default' => $ott_vlogger_default['ott_vlogger_display_header_toggle'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ott_vlogger_sanitize_checkbox',
    )
);
$wp_customize->add_control('ott_vlogger_display_header_toggle',
    array(
        'label' => esc_html__('Enable / Disable Toggle', 'ott-vlogger'),
        'section' => 'ott_vlogger_button_header_setting',
        'type' => 'checkbox',
    )
);